
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>产品展示_<%=TD_home%></title>
<meta name="keywords" content="<%=Yifan_BigClass_key%>" />
<meta name="description" content="<%=Yifan_BigClass_des%>" />
</head>
<!--#include file="css_js.html" -->
<body>
<!--#include file="top.html" -->
<div class="customers">
	<div class="wrapper">
    	<div class="cttitle">
        	<h2><ul class="post-categories">
	<li><a href="http://www.geekif.com/category/customers" title="查看 我们的客户 中的全部文章" rel="category tag">我们的客户</a></li></ul></h2>
            <p>客户是重要的创新来源</p>
        </div>
		        <div class="customerlist">
			<div class="sponsorListHolder">
        		                <%
BigClassID=ad
SmallClassID=b
if  not isnumeric(BigClassID)  or not isnumeric(SmallClassID) then
Response.Write "<script>alert('警告！请勿尝试注入！');history.go(-1);</script>" 
Response.End()
end if
set rs=server.createobject("adodb.recordset") 
if BigClassID="" then
exec="select * from products order by id desc"
end if
if BigClassID<>"" then
exec="select * from products where BigClassID="&BigClassID&" order by id desc"
end if
rs.open exec,conn,1,1
if rs.eof then
response.Write "&nbsp;暂无产品！"
else
rs.PageSize =""&TD_productsclass&"" '每页记录条数
iCount=rs.RecordCount '记录总数
iPageSize=rs.PageSize
maxpage=rs.PageCount 
page=b
if Not IsNumeric(page) or page="" then
page=1
else
page=cint(page)
end if
if page<1 then
page=1
elseif  page>maxpage then
page=maxpage
end if
rs.AbsolutePage=Page
if page=maxpage then
x=iCount-(maxpage-1)*iPageSize
else
x=iPageSize
end if
end if	
%>
<%For i=1 To x%> 
<div class="sponsor" title="点击查看">
					<div class="sponsorFlip">
                    <img src="<%=rs("img")%>" alt="<%=rs("title")%>" height="112" width="151" />
           						  </div>
					<div class="sponsorData">
						<div class="sponsorDescription">
							<%=i5808(rs("body"),80)%>[<a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>">介绍</a>]
						</div>
						<div class="sponsorURL">
                    		                    									<a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>" target="_blank"><%=i5808(rs("title"),20)%></a>
					  </div>
					</div>
				</div>
                
           <%rs.movenext
next
%> 
                 
				<div class="clear"></div>
			</div>
        </div>
        <div class="page-nav"><%'以下显示分页
 call PageControl(iCount,maxpage,page,"border=0 align=center","<p align=center>")
rs.close
set rs=nothing
%>
	  </div>
  </div>
</div>
 <!--#include file="foot.html" -->
</body>
</html>
